/*
	CSS Syntax
	
	CSS Rule-set
	selector {
	
		property: value;

	}

*/
/*
	* - Unviversal selector. It is able to select all the elements in an HTML page

	font-family property allow us to determine the font of the text. The value "Courier New" becomes font our elements. Monospace is the secondary font or the fallback font, whech means if the font "Courier nes" is not installed or cannot be found we will fallback to use a font similar to "Courier New"
	
	font-size property allow us to change the size of the font. font-size can also be measured not only by pixel. other CSS measurements can be used to determine the font-size.



*/
*{	
	/*default font for all elements*/
	font-family: "Courier New", monospace;
/*	font-size: 20px;
*/}

html {
	/*scroll-behavior changes the scrolling when navigating within the page*/
	scroll-behavior: smooth;
}
body{
	/*background-color property changes the color of the background of an element*/
	background-color: skyblue;
}
nav{
	background-color: white;

}
/*selector: hover pseudo class*/
/*change the style of an element when hovered over*/
a:hover{
	background-color: #b4d6de;
}
nav > div {
	/*display:  inline-block allowed to change the display of the div element from block to inline block, which means this div is now inline with itts siblings however still act like a block element*/
	/*float:  right we were able to change the horizontal alignment of our element and put it to the right of our cntainer.*/
	display: inline-block;
	float: right;
}

section{
	/*increased the height of our section to 100% viewpost height. Viewpost heaight is the height of the page with the screen we are viewing from.*/
	height: 100vh;
	/*allow us to horizontally align our text within the element.*/
	text-align: center;

}
/*type/tag selector - allow us to select alements of the type or tag*/
h2{
	font-size: 1.5rem;
}
ol{
	/*removes the list style from our list items*/
	list-style: none;
}
h1{	
	/*ctrl + Shift + /*/
	/*!important will make the property a priority*/
	color: black !important;
	font-size: 2rem; /*2xroot-element-font-size*/
	text-align: center;
	/*rem - root element, rem is a measurement based on the root element. default font size 16px. The root element is the HTML tag*/
}
/*id-selector allow us to select the element with a particular id. This selector is the highest priority

In CSS, you can select the id by adding the # before the name of the id.

*/

#zuitt-motto {
	letter-spacing: 5px;

}
/*	
	class-selector allow us to select element/elements with thee same class. In CSS, we can select the class by adding . before the name of the class.

	An elemnt can have both an id and a class. however declarations for the id is given more priority over class.
	*/



.offering-item{
	/*text-transform allows to*/
	text-transform: uppercase;
/*	letter-spacing: 20px;
*/
}
/*attribute selector allows to select elements with the same tag and attribute
	
	tag[attribute]

*/
input[required]{
	/*
		border-width property allows us to change the thickness of elemnte's border

		border-style property allow us to change style of the border.

		border-color property allows us to change the color of an alament's border
	*/
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	/*The width of the input is now 90% of its parent elements*/
	width: 90%;
}
/*	adjacent sibling selector. This allows us to selct the sibling selemnt directly 	after the fisrt selector
	
	first selector
*/
h3 + img {

	/*
		height and width proprties allows us to determine the height and width of an element. Unlike the height and width attributes in our HTML, in CSS, we can add more measurements insteand of just pixels

		border-radius allows us to round the corners of an element.
	*/
	height: 300px;
	width: 300px;
	border-radius: 150px;
}
/*
	descendant selector

	allows us to select elements which are descendant of the first selector

	fist selector 

	

*/

#bootcamp-learning-list li {
	/*		#075966 as a value of color: This is a hex value. This a hexadecimal value and it consists of the pound sign # plus 6 alphanumeric characters. Hex Value colors are more specific than HTML colors
	*/
	color: #075966;

}

/*	
	general sibling seletor - this willa llow us to select sibling after our 1st selector 
	
	selector ~ selector (siblings)

*/
h2 ~ a {
	/*text-decoration property change lines included in text (ex. overline,underlines or strikethrough). By default anchor tags have underline.*/
	text-decoration: none;
}
/*
	Child Selector
	
	allows to select the child of an element.
	selector (parent) > selector(child)
*/
body > section > form > label {
	/*rgb() can be accepted as a value of properties that change colors. RGB values refer to red,green,blue. And the combination of these values from 0 to 255 determines the color.*/
	color: rgb(0, 0, 128);
}

form {
	text-align: center;
	background-color: white;
	/*border: <width> <style> <color>*/
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	/*Viewport Width is a measurement based on a percentae of the width of the scrren we are viewing our page from*/
	/*	
		position property changes the position of an element based on a criteria.
		
		position relative; means we will move the element relative to its original position in the document.

		left property allows us add mesurement on the lest side of the element. The value % is based on the measurement of the parent element. 37.25% from the left of the parent element.

	*/
	position: relative;
	left: 37.25%;
}

button {
		color: white;
		background-color: #cf0053;
		border: 0;
		border-radius: 15px;
}